Create contact
curl --request POST \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"website_url": "<string>",
"industry": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
}
'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts"
payload = { "properties": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"website_url": "<string>",
"industry": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {
first_name: '<string>',
last_name: '<string>',
email: '<string>',
phone: '<string>',
job_title: '<string>',
company_name: '<string>',
website_url: '<string>',
industry: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>'
}
})
};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "qtr89df0-112d-d197-b541-3f8674663246"
}
}
Contacts
Create contact
Create a new contact for the chatbot.
POST
/
chatbots
/
{chatbotId}
/
contacts
Create contact
Request parameters
Path
string
required
The chatbot ID.
Body
object
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.{
"status": "success",
"data": {
"id": "qtr89df0-112d-d197-b541-3f8674663246"
}
}
⌘I

